# CourseBuilder

Coursebuilder is a helper and validator for curricula. It helps to amalgate and validate curricula descriptions in order to generate legally required documents for university courses. 

# Author

(c) Copyright 2020-2023 Hartmut Seichter

# Usage

```sh
$> python coursebuilder  
coursebuilder [-h] [-m META [META ...]] [-l LANG] [-f FIELDS [FIELDS ...]] [-s SCHEMA]

options:
  -h, --help            show this help message and exit
  -m META [META ...], --meta META [META ...]
                        course description(s) as YAML file(s)
  -l LANG, --lang LANG  Language to parse from meta file (use de or en)
  -f FIELDS [FIELDS ...], --fields FIELDS [FIELDS ...]
                        Fields to be used
  -s SCHEMA, --schema SCHEMA
                        using provided schema
```


# Licence

Coursebuilder is licensed under the terms of the MIT License. For details consult https://opensource.org/license/mit/ or the attached license file

